KD Chart 2: KDChartGlobal.h File Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChartGlobal.h File Reference

`#include <qglobal.h>`
`#include "kdchart_export.h"`
`#include <QtAlgorithms>`
`#include <algorithm>`
`#include <Qt>`

Include dependency graph for KDChartGlobal.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | KDChart
## Defines
#define | KDAB_SET_OBJECT_NAME(x) __kdab__dereference_for_methodcall( x ).setObjectName( QLatin1String( #x ) )
#define | KDCHART_DECLARE_DERIVED_DIAGRAM(X, PLANE)
#define | KDCHART_DECLARE_PRIVATE_BASE_POLYMORPHIC(X)
#define | KDCHART_DECLARE_PRIVATE_BASE_POLYMORPHIC_QWIDGET(X)
#define | KDCHART_DECLARE_PRIVATE_BASE_VALUE(X)
#define | KDCHART_DECLARE_PRIVATE_DERIVED(X)
#define | KDCHART_DECLARE_PRIVATE_DERIVED_PARENT(X, ParentType)
#define | KDCHART_DECLARE_PRIVATE_DERIVED_QWIDGET(X) KDCHART_DECLARE_PRIVATE_DERIVED_PARENT( X, QWidget* )
#define | KDCHART_DECLARE_SWAP_BASE(X)
#define | KDCHART_DECLARE_SWAP_DERIVED(X) void swap( X& other ) { doSwap( other ); }
#define | KDCHART_DECLARE_SWAP_SPECIALISATION(X)
#define | KDCHART_DECLARE_SWAP_SPECIALISATION_DERIVED(X) KDCHART_DECLARE_SWAP_SPECIALISATION( X )
#define | KDCHART_DERIVED_PRIVATE_FOOTER(CLASS, PARENT)
#define | KDCHART_IMPL_DERIVED_DIAGRAM(CLASS, PARENT, PLANE)
#define | KDCHART_IMPL_DERIVED_PLANE(CLASS, BASEPLANE)
## Functions
template<typename T> T & | __kdab__dereference_for_methodcall (T *o)
template<typename T> T & | __kdab__dereference_for_methodcall (T &o)

## Define Documentation

#define KDAB_SET_OBJECT_NAME | ( | x |  | ) | __kdab__dereference_for_methodcall( x ).setObjectName( QLatin1String( #x ) )

| Definition at line 46 of file KDChartGlobal.h.

#define KDCHART_DECLARE_DERIVED_DIAGRAM | ( | X,
|  | PLANE |  | ) |

| Value:
    protected:                                              \
        class Private;                                      \
        inline Private * d_func();                          \
        inline const Private * d_func() const;              \
        explicit inline X( Private * );                     \
        explicit inline X( Private *, QWidget *, PLANE * ); \
    private:                                                \
        void init();
Definition at line 173 of file KDChartGlobal.h.

#define KDCHART_DECLARE_PRIVATE_BASE_POLYMORPHIC | ( | X |  | ) |

| Value:
    protected:                                        \
        class Private;                                    \
        Private * d_func() { return _d; }                 \
        const Private * d_func() const { return _d; }     \
        explicit inline X( Private * );                   \
    private:                                              \
        void init();                                      \
        Private * _d;
Definition at line 117 of file KDChartGlobal.h.

#define KDCHART_DECLARE_PRIVATE_BASE_POLYMORPHIC_QWIDGET | ( | X |  | ) |

| Value:
    protected:                                        \
        class Private;                                    \
        Private * d_func() { return _d; }                 \
        const Private * d_func() const { return _d; }     \
        explicit inline X( Private *, QWidget* );                  \
    private:                                              \
        void init();                                      \
        Private * _d;
Definition at line 140 of file KDChartGlobal.h.

#define KDCHART_DECLARE_PRIVATE_BASE_VALUE | ( | X |  | ) |

| Value:
    public:                                                      \
        inline void swap( X & other ) { qSwap( _d, other._d ); } \
    protected:                                                   \
        class Private;                                           \
        Private * d_func() { return _d; }                        \
        const Private * d_func() const { return _d; }            \
    private:                                                     \
        void init();                                             \
        Private * _d;
Definition at line 94 of file KDChartGlobal.h.

#define KDCHART_DECLARE_PRIVATE_DERIVED | ( | X |  | ) |

| Value:
    protected:                                        \
        class Private;                                \
        inline Private * d_func();                    \
        inline const Private * d_func() const;        \
        explicit inline X( Private * );               \
    private:                                          \
        void init();
Definition at line 60 of file KDChartGlobal.h.

#define KDCHART_DECLARE_PRIVATE_DERIVED_PARENT | ( | X,
|  | ParentType |  | ) |

| Value:
    protected:                                        \
        class Private;                                \
        inline Private * d_func();                    \
        inline const Private * d_func() const;        \
        explicit inline X( Private *, ParentType );   \
    private:                                          \
        void init();
Definition at line 81 of file KDChartGlobal.h.

#define KDCHART_DECLARE_PRIVATE_DERIVED_QWIDGET | ( | X |  | ) | KDCHART_DECLARE_PRIVATE_DERIVED_PARENT( X, QWidget* )

| Definition at line 91 of file KDChartGlobal.h.

#define KDCHART_DECLARE_SWAP_BASE | ( | X |  | ) |

| Value:
    protected: \
        void doSwap( X& other ) \
        { qSwap( _d, other._d); }
Definition at line 224 of file KDChartGlobal.h.

#define KDCHART_DECLARE_SWAP_DERIVED | ( | X |  | ) | void swap( X& other ) { doSwap( other ); }

| Definition at line 229 of file KDChartGlobal.h.

#define KDCHART_DECLARE_SWAP_SPECIALISATION | ( | X |  | ) |

| Value:
    template <> inline void qSwap<X>( X & lhs, X & rhs )    \
        { lhs.swap( rhs ); }                                    \
        namespace std {                                         \
            template <> inline void swap<X>( X & lhs, X & rhs ) \
            { lhs.swap( rhs ); }                                \
        }
Definition at line 208 of file KDChartGlobal.h.

#define KDCHART_DECLARE_SWAP_SPECIALISATION_DERIVED | ( | X |  | ) | KDCHART_DECLARE_SWAP_SPECIALISATION( X )

| Definition at line 221 of file KDChartGlobal.h.

#define KDCHART_DERIVED_PRIVATE_FOOTER | ( | CLASS,
|  | PARENT |  | ) |

| Value:
    inline CLASS::CLASS( Private * p )                          \
      : PARENT( p ) { init(); }                                 \
    inline CLASS::Private * CLASS::d_func()                     \
    { return static_cast<Private*>( PARENT::d_func() ); }       \
    inline const CLASS::Private * CLASS::d_func() const         \
    { return static_cast<const Private*>( PARENT::d_func() ); }
Definition at line 152 of file KDChartGlobal.h.

#define KDCHART_IMPL_DERIVED_DIAGRAM | ( | CLASS,
|  | PARENT,
|  | PLANE |  | ) |

| Value:
    inline CLASS::CLASS( Private * p )                           \
        : PARENT( p ) { init(); }                                \
    inline CLASS::CLASS(                                         \
        Private * p, QWidget* parent, PLANE * plane )            \
        : PARENT( p, parent, plane ) { init(); }                 \
    inline CLASS::Private * CLASS::d_func()                      \
        { return static_cast<Private *>( PARENT::d_func() ); }   \
    inline const CLASS::Private * CLASS::d_func() const          \
        { return static_cast<const Private *>( PARENT::d_func() ); }
Definition at line 184 of file KDChartGlobal.h.

#define KDCHART_IMPL_DERIVED_PLANE | ( | CLASS,
|  | BASEPLANE |  | ) |

| Value:
    inline CLASS::CLASS( Private * p, Chart* parent )           \
        : BASEPLANE( p, parent ) { init(); }                      \
    inline CLASS::Private * CLASS::d_func()                       \
        { return static_cast<Private *>( BASEPLANE::d_func() ); } \
    inline const CLASS::Private * CLASS::d_func() const           \
        { return static_cast<const Private *>( BASEPLANE::d_func() ); }
Definition at line 196 of file KDChartGlobal.h.

## Function Documentation

template<typename T>
T& __kdab__dereference_for_methodcall | ( | T * | o | ) |

| Definition at line 42 of file KDChartGlobal.h.
    00042                                                        {
    00043     return *o;
    00044 }

template<typename T>
T& __kdab__dereference_for_methodcall | ( | T & | o | ) |

| Definition at line 37 of file KDChartGlobal.h.
    00037                                                        {
    00038     return o;
    00039 }